% Modello di competizione batterica 

% Per valutare i bacini di attrazione, simulare lo schema simulink con diverse condizioni iniziali (si impostano nel blocco integratore)
% e vedere in quale equilibrio termina la traiettoria.
% Le condizioni iniziali vanno scelte con intuito. 
% In questo esercizio, essendoci due equilibri instabili, un nodo instabile
% in E0 = (0, 0) e una sella in E3 = (3/7, 2/7), prendiamo le condizioni
% iniziali in modo da essere a vicini a E0 e sopra/sotto la retta che passa
% per E0 e E3, ovvero x2=2/3*x1 

figure  % apro finestra grafica

% simulo simulink (run)
plot(x1,x2,'k-')  % disegno andamento traiettoria simulata in simulink
hold on % per aggiungere altri grafici senza cancellare quelli già esistenti

% cambiare le condizioni iniziali (blocchi integratori in simulink) e simulare
% schema simulink (run)
plot(x1,x2,'k-') % disegno l'andamento della nuova traiettoria appena simulata in simulink

% si ripete la procedura:
% 1- cambiare condizione iniziale, 
% 2- simulare, 
% 3- graficare andamento traiettoria.
