function dxdt = problema3_carrello_modello_pendolo(t,x)

% parametri, matrici, variabili di stato
M=10; m=1; L=1; g=9.81; tau=0;
A=[0    1.0000         0         0
   0         0   -0.9810         0
   0         0         0    1.0000
   0         0   10.7910         0];
b=[0 0.1 0 -0.1]';
c=[1 0 0 0];
autov_controllore = [roots([1 1.5 1]); roots([1 2 1])];
k = acker(A, -b, autov_controllore);
autov_ricostruttore = [roots([1 15 100]); roots([1 20 100])];
lT = acker(A', -c', autov_ricostruttore);
l = lT';
AK=A+b*k;

% xhatdot=(A+bk)xhat+l(c*xhat-c*x)=(A+bk)xhat+l(xhat1-x1)
% F=k*hxat

% stato ricostruito x(1:4)
% stato del sistema x(5:8)
F=k(1)*x(1)+k(2)*x(2)+k(3)*x(3)+k(4)*x(4);

dxdt=[AK(1,1)*x(1)+AK(1,2)*x(2)+AK(1,3)*x(3)+AK(1,4)*x(4)+l(1)*(x(1)-x(5))
      AK(2,1)*x(1)+AK(2,2)*x(2)+AK(2,3)*x(3)+AK(2,4)*x(4)+l(2)*(x(1)-x(5))
      AK(3,1)*x(1)+AK(3,2)*x(2)+AK(3,3)*x(3)+AK(3,4)*x(4)+l(3)*(x(1)-x(5))
      AK(4,1)*x(1)+AK(4,2)*x(2)+AK(4,3)*x(3)+AK(4,4)*x(4)+l(4)*(x(1)-x(5))
      x(6)
      (F+m*L*x(8)*x(8)*sin(x(7))-m*g*cos(x(7))*sin(x(7)))/(M+m*sin((x(7))*sin(x(7))))
      x(8)
      (-F*cos(x(7))-m*L*cos(x(7))*sin(x(7))*x(8)*x(8)+(M+m)*g*sin(x(7)))/((M+m*sin(x(7))*sin(x(7)))*L)
      ];
end




